Package com.pixelmed.displaywave

# Class SourceECG

java.lang.Object
com.pixelmed.displaywave.SourceECG

Direct Known Subclasses:
  `DicomSourceECG`, `RawSourceECG`, `SCPSourceECG`

public abstract class SourceECG extends Object

An abstract class that encapsulates the features and values from an ECG source, usually for the purpose of displaying it.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected float[]`
`amplitudeScalingFactorInMilliVolts`
`protected String[]`
`channelNames`
`protected int[]`
`displaySequence`
`protected int`
`nSamplesPerChannel`
`protected int`
`numberOfChannels`
`protected short[][]`
`samples`
`protected float`
`samplingIntervalInMilliSeconds`
`protected String`
`title`

## Constructor Summary

Constructors
Constructor
Description
`SourceECG()`

## Method Summary

Modifier and Type
Method
Description
`protected static String`
`buildInstanceTitle()`
`protected void`
`buildPreferredDisplaySequence()`
Use the default encoded order.
`protected void`
`buildPreferredDisplaySequence(String[] labels)`
Using the lead descriptions, look for patterns and determine the desired sequential display order, defaulting to the encoded order if no recognized pattern.
`protected static int`
`findLead(String[] leadNames, String leadName)`
Find the named lead in an array of lead names.
`float[]`
`getAmplitudeScalingFactorInMilliVolts()`
`String[]`
`getChannelNames()`
`int[]`
`getDisplaySequence()`
`int`
`getNumberOfChannels()`
`int`
`getNumberOfSamplesPerChannel()`
`short[][]`
`getSamples()`
`float`
`getSamplingIntervalInMilliSeconds()`
`String`
`getTitle()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### samples

protected short[][] samples

### numberOfChannels

protected int numberOfChannels

### nSamplesPerChannel

protected int nSamplesPerChannel

### samplingIntervalInMilliSeconds

protected float samplingIntervalInMilliSeconds

### amplitudeScalingFactorInMilliVolts

protected float[] amplitudeScalingFactorInMilliVolts

### channelNames

protected String[] channelNames

### displaySequence

protected int[] displaySequence

### title

protected String title

## Constructor Details

### SourceECG

public SourceECG()

## Method Details

### buildPreferredDisplaySequence

protected void buildPreferredDisplaySequence()

Use the default encoded order.

### findLead

protected static int findLead(String[] leadNames, String leadName)

Find the named lead in an array of lead names.

Parameters:
  `leadNames` - an array of String names to designate leads (may be null, or contain null strings, in which case won't be found)
  `leadName` - the string name of the lead wanted (may be null, in which case won't be found)
Returns:
  the index in leadNames of the requested lead if present, else -1

### buildPreferredDisplaySequence

protected void buildPreferredDisplaySequence(String[] labels)

Using the lead descriptions, look for patterns and determine the desired sequential display order, defaulting to the encoded order if no recognized pattern.

Parameters:
  `labels` - the labels to use to match the preferred order (may or may not be `this.channelNames`)

### buildInstanceTitle

protected static String buildInstanceTitle()

### getSamples

public short[][] getSamples()

### getNumberOfChannels

public int getNumberOfChannels()

### getNumberOfSamplesPerChannel

public int getNumberOfSamplesPerChannel()

### getSamplingIntervalInMilliSeconds

public float getSamplingIntervalInMilliSeconds()

### getAmplitudeScalingFactorInMilliVolts

public float[] getAmplitudeScalingFactorInMilliVolts()

### getChannelNames

public String[] getChannelNames()

### getTitle

public String getTitle()

### getDisplaySequence

public int[] getDisplaySequence()